Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.terracotta.quartz
Class TerracottaJobStore

    java.lang.Object
      org.terracotta.quartz.AbstractTerracottaJobStore
          org.terracotta.quartz.TerracottaJobStore

All Implemented Interfaces:
  JobStore

    public class TerracottaJobStore

extends AbstractTerracottaJobStore

Field Summary

Fields inherited from class org.terracotta.quartz.AbstractTerracottaJobStore
`TC_CONFIG_PROP, TC_CONFIGURL_PROP, TC_REJOIN_PROP`

Constructor Summary
`TerracottaJobStore()`

Method Summary

Methods inherited from class org.terracotta.quartz.AbstractTerracottaJobStore
`acquireNextTriggers, checkExists, checkExists, clearAllSchedulingData, getCalendarNames, getEstimatedTimeToReleaseAndAcquireTrigger, getJobGroupNames, getJobKeys, getNumberOfCalendars, getNumberOfJobs, getNumberOfTriggers, getPausedTriggerGroups, getRealJobStore, getTriggerGroupNames, getTriggerKeys, getTriggersForJob, getTriggerState, getUUID, initialize, isClustered, pauseAll, pauseJob, pauseJobs, pauseTrigger, pauseTriggers, releaseAcquiredTrigger, removeCalendar, removeJob, removeJobs, removeTrigger, removeTriggers, replaceTrigger, resumeAll, resumeJob, resumeJobs, resumeTrigger, resumeTriggers, retrieveCalendar, retrieveJob, retrieveTrigger, schedulerPaused, schedulerResumed, schedulerStarted, setEstimatedTimeToReleaseAndAcquireTrigger, setInstanceId, setInstanceName, setMisfireThreshold, setRejoin, setSynchronousWrite, setTcConfig, setTcConfigUrl, setTcRetryInterval, setThreadPoolSize, shutdown, storeCalendar, storeJob, storeJobAndTrigger, storeJobsAndTriggers, storeTrigger, supportsPersistence, triggeredJobComplete, triggersFired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerracottaJobStore

    public TerracottaJobStore()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.